# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class CreateAssociateworkerBody(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, worker_id: str=None):  # noqa: E501
        """CreateAssociateworkerBody - a model defined in Swagger

        :param worker_id: The worker_id of this CreateAssociateworkerBody.  # noqa: E501
        :type worker_id: str
        """
        self.swagger_types = {
            'worker_id': str
        }

        self.attribute_map = {
            'worker_id': 'worker-id'
        }
        self._worker_id = worker_id

    @classmethod
    def from_dict(cls, dikt) -> 'CreateAssociateworkerBody':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The create_associateworker_body of this CreateAssociateworkerBody.  # noqa: E501
        :rtype: CreateAssociateworkerBody
        """
        return util.deserialize_model(dikt, cls)

    @property
    def worker_id(self) -> str:
        """Gets the worker_id of this CreateAssociateworkerBody.


        :return: The worker_id of this CreateAssociateworkerBody.
        :rtype: str
        """
        return self._worker_id

    @worker_id.setter
    def worker_id(self, worker_id: str):
        """Sets the worker_id of this CreateAssociateworkerBody.


        :param worker_id: The worker_id of this CreateAssociateworkerBody.
        :type worker_id: str
        """
        if worker_id is None:
            raise ValueError("Invalid value for `worker_id`, must not be `None`")  # noqa: E501

        self._worker_id = worker_id
